import Plugin from 'src/plugin-system/plugin.class';
export default class NewsletterePlugin extends Plugin {
    init() {
        this._registerEvents();

        window.addEventListener('load', function () {
            var subscribeForm = document.querySelector('#newsletter-subscribe-form');
            var instance = PluginManager.getPluginInstanceFromElement(subscribeForm, 'FormAjaxSubmit');
            instance.$emitter.subscribe('onAfterAjaxSubmit', function (response) {
                
                document.getElementById("popupMsg").innerHTML = "You have just subscribed to our newsletter";

            });
        });
    }

    _registerEvents() {

        var cookies = document.cookie.split(';').map(cookie => cookie.split('=')).reduce((accumulator, [key, value]) => ({
            accumulator,
            [key.trim()]: decodeURIComponent(value)
        }), {});
        var value = cookies.newsletterPopup;
        if (value !== 'popup') {
            var overlay=$('#overlay');
            overlay.show();
            overlay.appendTo(document.body);
            $('.newsletterPopup').show();
        }
        $('.cancelButton').click(function () {
            document.cookie = "newsletterPopup=popup; max-age=86400";
            $('.newsletterPopup').hide();
            overlay.appendTo(document.body).remove();
            return false;
        });
    }


}


